librime: rime::ReverseLookupFilter Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::ReverseLookupFilter Class Reference

`#include <reverse_lookup_filter.h>`

Inheritance diagram for rime::ReverseLookupFilter:
[legend]
Collaboration diagram for rime::ReverseLookupFilter:
[legend]

## Public Member Functions
| ReverseLookupFilter (const Ticket &ticket)
virtual an< Translation > | Apply (an< Translation > translation, CandidateList *candidates)
virtual bool | AppliesToSegment (Segment *segment)
void | Process (const an< Candidate > &cand)
Public Member Functions inherited from rime::Filter
| Filter (const Ticket &ticket)
virtual | ~Filter ()=default
string | name_space () const

## Protected Member Functions
void | Initialize ()

## Protected Attributes
bool | initialized_ = false
the< ReverseLookupDictionary > | rev_dict_
bool | overwrite_comment_ = false
bool | append_comment_ = false
Projection | comment_formatter_
Protected Attributes inherited from rime::Filter
Engine * | engine_
string | name_space_

## Additional Inherited Members
Public Types inherited from rime::Class< Filter, const Ticket & >
using | Initializer
Static Public Member Functions inherited from rime::Class< Filter, const Ticket & >
static Component * | Require (const string &name)

## Constructor & Destructor Documentation

## ◆ ReverseLookupFilter()

rime::ReverseLookupFilter::ReverseLookupFilter | ( | const Ticket & | ticket | ) |
| explicit

## Member Function Documentation

## ◆ AppliesToSegment()

virtual bool rime::ReverseLookupFilter::AppliesToSegment | ( | Segment * | segment | ) |
| inlinevirtual

Reimplemented from rime::Filter.

## ◆ Apply()

an< Translation > rime::ReverseLookupFilter::Apply | ( | an< Translation > | translation,
|  | CandidateList * | candidates )
| virtual

Implements rime::Filter.

## ◆ Initialize()

void rime::ReverseLookupFilter::Initialize | ( |  | ) |
| protected

## ◆ Process()

void rime::ReverseLookupFilter::Process | ( | const an< Candidate > & | cand | ) |

## Member Data Documentation

## ◆ append_comment_

bool rime::ReverseLookupFilter::append_comment_ = false
| protected

## ◆ comment_formatter_

Projection rime::ReverseLookupFilter::comment_formatter_
| protected

## ◆ initialized_

bool rime::ReverseLookupFilter::initialized_ = false
| protected

## ◆ overwrite_comment_

bool rime::ReverseLookupFilter::overwrite_comment_ = false
| protected

## ◆ rev_dict_

the<ReverseLookupDictionary> rime::ReverseLookupFilter::rev_dict_
| protected

The documentation for this class was generated from the following files:

- reverse_lookup_filter.h
- reverse_lookup_filter.cc